Package org.zkoss.zhtml

## Class Link

- java.lang.Object
- - org.zkoss.zk.ui.AbstractComponent
  - - org.zkoss.zhtml.impl.AbstractTag
    - - org.zkoss.zhtml.Link

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `Component`, `DynamicPropertied`, `RawId`, `Scope`, `ComponentCtrl`

      public class Link
      extends AbstractTag

  The LINK tag.
  Author:
    tomyeh
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.zhtml.impl.AbstractTag

      `AbstractTag.ExtraCtrl`

    - ### Nested classes/interfaces inherited from class org.zkoss.zk.ui.AbstractComponent

      `AbstractComponent.Children, AbstractComponent.ForwardInfo, AbstractComponent.TargetInfo`

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.zhtml.impl.AbstractTag

      `_tagnm`

    - ### Fields inherited from interface org.zkoss.zk.ui.Component

      `APPLICATION_SCOPE, COMPONENT_SCOPE, DESKTOP_SCOPE, PAGE_SCOPE, REQUEST_SCOPE, SESSION_SCOPE, SPACE_SCOPE`

    - ### Fields inherited from interface org.zkoss.zk.ui.sys.ComponentCtrl

      `AFTER_CHILD_ADDED, AFTER_CHILD_REMOVED, AFTER_CLONED, AFTER_PAGE_ATTACHED, AFTER_PAGE_DETACHED, AFTER_PARENT_CHANGED, CE_BUSY_IGNORE, CE_DUPLICATE_IGNORE, CE_IMPORTANT, CE_NON_DEFERRABLE, CE_REPEAT_IGNORE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Link()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCrossorigin()` | Returns the crossorigin of this link tag.
    `java.lang.String` | `getHref()` | Returns the href of this link tag.
    `java.lang.String` | `getHreflang()` | Returns the hreflang of this link tag.
    `java.lang.String` | `getImagesizes()` | Returns the imagesizes of this tag.
    `java.lang.String` | `getImagesrcset()` | Returns the imagesrcset of this tag.
    `java.lang.String` | `getIntegrity()` | Returns the integrity of this tag.
    `java.lang.String` | `getMedia()` | Returns the media of this link tag.
    `java.lang.String` | `getRel()` | Returns the rel of this link tag.
    `java.lang.String` | `getSizes()` | Returns the sizes of this link tag.
    `java.lang.String` | `getType()` | Returns the type of this link tag.
    `void` | `setCrossorigin​(java.lang.String crossorigin)` | Sets the crossorigin of this link tag.
    `void` | `setHref​(java.lang.String href)` | Sets the href of this link tag.
    `void` | `setHreflang​(java.lang.String hreflang)` | Sets the hreflang of this link tag.
    `void` | `setImagesizes​(java.lang.String imagesizes)` | Sets the imagesizes of this tag.
    `void` | `setImagesrcset​(java.lang.String imagesrcset)` | Sets the imagesrcset of this tag.
    `void` | `setIntegrity​(java.lang.String integrity)` | Sets the integrity of this tag.
    `void` | `setMedia​(java.lang.String media)` | Sets the media of this link tag.
    `void` | `setRel​(java.lang.String rel)` | Sets the rel of this link tag.
    `void` | `setSizes​(java.lang.String sizes)` | Sets the sizes of this link tag.
    `void` | `setType​(java.lang.String type)` | Sets the type of this link tag.

    - ### Methods inherited from class org.zkoss.zhtml.impl.AbstractTag

      `clone, getAccesskey, getDir, getDynamicProperties, getDynamicProperty, getExtraCtrl, getLang, getPropertyAccess, getSclass, getStyle, getTabindex, getTag, getTitle, getWidgetClass, hasDynamicProperty, isChildable, isContenteditable, isDraggable, isHidden, isOrphanTag, isSpellcheck, redraw, redrawChildrenDirectly, renderProperties, setAccesskey, setContenteditable, setDir, setDraggable, setDynamicProperty, setHidden, setLang, setSclass, setSpellcheck, setStyle, setTabindex, setTitle, setVisible, shallHideId, toString`

    - ### Methods inherited from class org.zkoss.zk.ui.AbstractComponent

      `addAnnotation, addCallback, addClientEvent, addEventHandler, addEventListener, addEventListener, addForward, addForward, addForward, addForward, addMoved, addRedrawCallback, addScopeListener, addShadowRoot, addShadowRootBefore, addSharedEventHandlerMap, appendChild, applyProperties, beforeChildAdded, beforeChildRemoved, beforeParentChanged, destroyIndexCacheMap, detach, didActivate, didActivate, didDeserialize, didDeserialize, disableBindingAnnotation, disableClientUpdate, disableHostChanged, enableBindingAnnotation, enableHostChanged, getAnnotatedProperties, getAnnotatedPropertiesBy, getAnnotation, getAnnotations, getAnnotations, getAttribute, getAttribute, getAttribute, getAttributeOrFellow, getAttributes, getAttributes, getAuService, getAutag, getCallback, getChildren, getClientAttribute, getClientDataAttribute, getClientEvents, getDefaultMold, getDefinition, getDesktop, getEventHandler, getEventHandlerNames, getEventListenerMap, getEventListeners, getFellow, getFellow, getFellowIfAny, getFellowIfAny, getFellows, getFirstChild, getForwards, getId, getIndexCacheMap, getLastChild, getMold, getNextSibling, getPage, getParent, getPreviousSibling, getRedrawCallback, getRoot, getShadowFellowIfAny, getShadowRoots, getShadowVariable, getShadowVariable, getShadowVariable0, getSpaceOwner, getSpecialRendererOutput, getStubonly, getSubBindingAnnotationCount, getTemplate, getTemplateNames, getUuid, getWidgetAttributeNames, getWidgetListener, getWidgetListenerNames, getWidgetOverride, getWidgetOverrideNames, hasAttribute, hasAttribute, hasAttribute, hasAttributeOrFellow, hasBindingAnnotation, hasFellow, hasFellow, hasSubBindingAnnotation, initIndexCacheMap, insertBefore, invalidate, isDisabledHostChanged, isInitialized, isInvalidated, isListenerAvailable, isVisible, onChildAdded, onChildRemoved, onPageAttached, onPageDetached, onParentChanged, onWrongValue, query, queryAll, redrawChildren, removeAttribute, removeAttribute, removeAttribute, removeCallback, removeChild, removeEventListener, removeForward, removeForward, removeRedrawCallback, removeScopeListener, removeShadowRoot, render, render, render, renderPropertiesOnly, replace, response, response, response, service, service, sessionDidActivate, sessionWillPassivate, setAttribute, setAttribute, setAttribute, setAuService, setAutag, setClientAttribute, setClientDataAttribute, setDefinition, setDefinition, setId, setMold, setPage, setPageBefore, setParent, setStubonly, setStubonly, setSubBindingAnnotationCount, setTemplate, setVisibleDirectly, setWidgetClass, setWidgetListener, setWidgetOverride, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdateWidgetListener, smartUpdateWidgetOverride, updateByClient, updateSubBindingAnnotationCount, willPassivate, willPassivate, willSerialize, willSerialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Link

          public Link()

  - ### Method Detail

    - #### getCrossorigin

          public java.lang.String getCrossorigin()

      Returns the crossorigin of this link tag.
      Since:
        8.0.3

    - #### setCrossorigin

          public void setCrossorigin​(java.lang.String crossorigin)
                              throws WrongValueException

      Sets the crossorigin of this link tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getHref

          public java.lang.String getHref()

      Returns the href of this link tag.
      Since:
        8.0.3

    - #### setHref

          public void setHref​(java.lang.String href)
                       throws WrongValueException

      Sets the href of this link tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getHreflang

          public java.lang.String getHreflang()

      Returns the hreflang of this link tag.
      Since:
        8.0.3

    - #### setHreflang

          public void setHreflang​(java.lang.String hreflang)
                           throws WrongValueException

      Sets the hreflang of this link tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getMedia

          public java.lang.String getMedia()

      Returns the media of this link tag.
      Since:
        8.0.3

    - #### setMedia

          public void setMedia​(java.lang.String media)
                        throws WrongValueException

      Sets the media of this link tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getRel

          public java.lang.String getRel()

      Returns the rel of this link tag.
      Since:
        8.0.3

    - #### setRel

          public void setRel​(java.lang.String rel)
                      throws WrongValueException

      Sets the rel of this link tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getSizes

          public java.lang.String getSizes()

      Returns the sizes of this link tag.
      Since:
        8.0.3

    - #### setSizes

          public void setSizes​(java.lang.String sizes)
                        throws WrongValueException

      Sets the sizes of this link tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getType

          public java.lang.String getType()

      Returns the type of this link tag.
      Since:
        8.0.3

    - #### setType

          public void setType​(java.lang.String type)
                       throws WrongValueException

      Sets the type of this link tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getImagesizes

          public java.lang.String getImagesizes()

      Returns the imagesizes of this tag.
      Since:
        10.0.0

    - #### setImagesizes

          public void setImagesizes​(java.lang.String imagesizes)
                             throws WrongValueException

      Sets the imagesizes of this tag.
      Throws:
        `WrongValueException`
      Since:
        10.0.0

    - #### getImagesrcset

          public java.lang.String getImagesrcset()

      Returns the imagesrcset of this tag.
      Since:
        10.0.0

    - #### setImagesrcset

          public void setImagesrcset​(java.lang.String imagesrcset)
                              throws WrongValueException

      Sets the imagesrcset of this tag.
      Throws:
        `WrongValueException`
      Since:
        10.0.0

    - #### getIntegrity

          public java.lang.String getIntegrity()

      Returns the integrity of this tag.
      Since:
        10.0.0

    - #### setIntegrity

          public void setIntegrity​(java.lang.String integrity)
                            throws WrongValueException

      Sets the integrity of this tag.
      Throws:
        `WrongValueException`
      Since:
        10.0.0